org.keycloak.adapters.undertow

## Class KeycloakServletExtension

- java.lang.Object
- - org.keycloak.adapters.undertow.KeycloakServletExtension

- All Implemented Interfaces:
    io.undertow.servlet.ServletExtension
  Direct Known Subclasses:
    WildflyKeycloakServletExtension

      public class KeycloakServletExtension
      extends Object
      implements io.undertow.servlet.ServletExtension

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.jboss.logging.Logger` | `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeycloakServletExtension()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ServletKeycloakAuthMech` | `createAuthenticationMechanism(io.undertow.servlet.api.DeploymentInfo deploymentInfo, AdapterDeploymentContext deploymentContext, UndertowUserSessionManagement userSessionManagement, NodesRegistrationManagement nodesRegistrationManagement)`
    `protected String` | `getErrorPage(io.undertow.servlet.api.DeploymentInfo deploymentInfo)`
    `void` | `handleDeployment(io.undertow.servlet.api.DeploymentInfo deploymentInfo, javax.servlet.ServletContext servletContext)`
    `boolean` | `isAuthenticationMechanismPresent(io.undertow.servlet.api.DeploymentInfo deploymentInfo, String mechanismName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected static org.jboss.logging.Logger log

  - ### Constructor Detail

    - #### KeycloakServletExtension

          public KeycloakServletExtension()

  - ### Method Detail

    - #### isAuthenticationMechanismPresent

          public boolean isAuthenticationMechanismPresent(io.undertow.servlet.api.DeploymentInfo deploymentInfo,
                                                 String mechanismName)

    - #### handleDeployment

          public void handleDeployment(io.undertow.servlet.api.DeploymentInfo deploymentInfo,
                              javax.servlet.ServletContext servletContext)

      Specified by:
        `handleDeployment` in interface `io.undertow.servlet.ServletExtension`

    - #### createAuthenticationMechanism

          protected ServletKeycloakAuthMech createAuthenticationMechanism(io.undertow.servlet.api.DeploymentInfo deploymentInfo,
                                                              AdapterDeploymentContext deploymentContext,
                                                              UndertowUserSessionManagement userSessionManagement,
                                                              NodesRegistrationManagement nodesRegistrationManagement)

    - #### getErrorPage

          protected String getErrorPage(io.undertow.servlet.api.DeploymentInfo deploymentInfo)

Copyright © 2015. All Rights Reserved.